package web

import (
	"testing"
)

// Not a Test function, a test helper.
func testSetupGlobals() {
	globals = Globals{
		AssetsBaseURL: "https://cdn.osinet.fr",
		AssetsVersion: 1,
		AssetsPath:    "web/public",
		SiteBaseURL:   "http://sut.kurz.osinet.fr",
		RefreshDelay:  1,
		SiteName:      "Kurz test site",
	}
}

func TestURLForAsset(t *testing.T) {
	testSetupGlobals()
	checks := [][4]string{
		// Name, NS, Path, Expected.
		{"empty css path", "css", "", "https://cdn.osinet.fr/"},
		{"root css path", "css", "/", "https://cdn.osinet.fr/"},
	}
	for _, check := range checks {
		name := check[0]
		ns := check[1]
		path := check[2]
		expected := check[3]
		t.Run(name, func (t *testing.T) {
			actual := URLForAsset(ns, path)
			if actual != expected {
				t.Fail()
			}
		})
	}
}
